config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/gnuradio/conf.d/gnuradio-runtime.conf.new
config etc/gnuradio/conf.d/gr-audio-alsa.conf.new
config etc/gnuradio/conf.d/gr-audio-oss.conf.new
config etc/gnuradio/conf.d/gr-audio.conf.new
config etc/gnuradio/conf.d/gr-qtgui.conf.new
config etc/gnuradio/conf.d/gr-wxgui.conf.new
config etc/gnuradio/conf.d/grc.conf.new
config etc/gnuradio/conf.d/modtool.conf.new
( cd usr/lib64 ; rm -rf libgnuradio-dtv.so )
( cd usr/lib64 ; ln -sf libgnuradio-dtv-3.7.8.1.so.0.0.0 libgnuradio-dtv.so )
( cd usr/lib64 ; rm -rf libgnuradio-pager-3.7.8.1.so )
( cd usr/lib64 ; ln -sf libgnuradio-pager-3.7.8.1.so.0.0.0 libgnuradio-pager-3.7.8.1.so )
( cd usr/lib64 ; rm -rf libgnuradio-uhd-3.7.8.1.so )
( cd usr/lib64 ; ln -sf libgnuradio-uhd-3.7.8.1.so.0.0.0 libgnuradio-uhd-3.7.8.1.so )
( cd usr/lib64 ; rm -rf libgnuradio-channels.so )
( cd usr/lib64 ; ln -sf libgnuradio-channels-3.7.8.1.so.0.0.0 libgnuradio-channels.so )
( cd usr/lib64 ; rm -rf libgnuradio-fft-3.7.8.1.so )
( cd usr/lib64 ; ln -sf libgnuradio-fft-3.7.8.1.so.0.0.0 libgnuradio-fft-3.7.8.1.so )
( cd usr/lib64 ; rm -rf libgnuradio-uhd-3.7.8.1.so.0 )
( cd usr/lib64 ; ln -sf libgnuradio-uhd-3.7.8.1.so.0.0.0 libgnuradio-uhd-3.7.8.1.so.0 )
( cd usr/lib64 ; rm -rf libgnuradio-wavelet.so )
( cd usr/lib64 ; ln -sf libgnuradio-wavelet-3.7.8.1.so.0.0.0 libgnuradio-wavelet.so )
( cd usr/lib64 ; rm -rf libgnuradio-audio-3.7.8.1.so.0 )
( cd usr/lib64 ; ln -sf libgnuradio-audio-3.7.8.1.so.0.0.0 libgnuradio-audio-3.7.8.1.so.0 )
( cd usr/lib64 ; rm -rf libgnuradio-blocks-3.7.8.1.so )
( cd usr/lib64 ; ln -sf libgnuradio-blocks-3.7.8.1.so.0.0.0 libgnuradio-blocks-3.7.8.1.so )
( cd usr/lib64 ; rm -rf libgnuradio-atsc-3.7.8.1.so )
( cd usr/lib64 ; ln -sf libgnuradio-atsc-3.7.8.1.so.0.0.0 libgnuradio-atsc-3.7.8.1.so )
( cd usr/lib64 ; rm -rf libgnuradio-atsc.so )
( cd usr/lib64 ; ln -sf libgnuradio-atsc-3.7.8.1.so.0.0.0 libgnuradio-atsc.so )
( cd usr/lib64 ; rm -rf libgnuradio-vocoder-3.7.8.1.so.0 )
( cd usr/lib64 ; ln -sf libgnuradio-vocoder-3.7.8.1.so.0.0.0 libgnuradio-vocoder-3.7.8.1.so.0 )
( cd usr/lib64 ; rm -rf libgnuradio-noaa-3.7.8.1.so )
( cd usr/lib64 ; ln -sf libgnuradio-noaa-3.7.8.1.so.0.0.0 libgnuradio-noaa-3.7.8.1.so )
( cd usr/lib64 ; rm -rf libgnuradio-noaa.so )
( cd usr/lib64 ; ln -sf libgnuradio-noaa-3.7.8.1.so.0.0.0 libgnuradio-noaa.so )
( cd usr/lib64 ; rm -rf libgnuradio-wxgui.so )
( cd usr/lib64 ; ln -sf libgnuradio-wxgui-3.7.8.1.so.0.0.0 libgnuradio-wxgui.so )
( cd usr/lib64 ; rm -rf libgnuradio-pmt-3.7.8.1.so )
( cd usr/lib64 ; ln -sf libgnuradio-pmt-3.7.8.1.so.0.0.0 libgnuradio-pmt-3.7.8.1.so )
( cd usr/lib64 ; rm -rf libgnuradio-qtgui-3.7.8.1.so )
( cd usr/lib64 ; ln -sf libgnuradio-qtgui-3.7.8.1.so.0.0.0 libgnuradio-qtgui-3.7.8.1.so )
( cd usr/lib64 ; rm -rf libgnuradio-vocoder.so )
( cd usr/lib64 ; ln -sf libgnuradio-vocoder-3.7.8.1.so.0.0.0 libgnuradio-vocoder.so )
( cd usr/lib64 ; rm -rf libgnuradio-blocks.so )
( cd usr/lib64 ; ln -sf libgnuradio-blocks-3.7.8.1.so.0.0.0 libgnuradio-blocks.so )
( cd usr/lib64 ; rm -rf libgnuradio-pager.so )
( cd usr/lib64 ; ln -sf libgnuradio-pager-3.7.8.1.so.0.0.0 libgnuradio-pager.so )
( cd usr/lib64 ; rm -rf libgnuradio-digital-3.7.8.1.so )
( cd usr/lib64 ; ln -sf libgnuradio-digital-3.7.8.1.so.0.0.0 libgnuradio-digital-3.7.8.1.so )
( cd usr/lib64 ; rm -rf libgnuradio-video-sdl.so )
( cd usr/lib64 ; ln -sf libgnuradio-video-sdl-3.7.8.1.so.0.0.0 libgnuradio-video-sdl.so )
( cd usr/lib64 ; rm -rf libgnuradio-qtgui-3.7.8.1.so.0 )
( cd usr/lib64 ; ln -sf libgnuradio-qtgui-3.7.8.1.so.0.0.0 libgnuradio-qtgui-3.7.8.1.so.0 )
( cd usr/lib64 ; rm -rf libgnuradio-dtv-3.7.8.1.so.0 )
( cd usr/lib64 ; ln -sf libgnuradio-dtv-3.7.8.1.so.0.0.0 libgnuradio-dtv-3.7.8.1.so.0 )
( cd usr/lib64 ; rm -rf libgnuradio-wxgui-3.7.8.1.so.0 )
( cd usr/lib64 ; ln -sf libgnuradio-wxgui-3.7.8.1.so.0.0.0 libgnuradio-wxgui-3.7.8.1.so.0 )
( cd usr/lib64 ; rm -rf libgnuradio-noaa-3.7.8.1.so.0 )
( cd usr/lib64 ; ln -sf libgnuradio-noaa-3.7.8.1.so.0.0.0 libgnuradio-noaa-3.7.8.1.so.0 )
( cd usr/lib64 ; rm -rf libgnuradio-blocks-3.7.8.1.so.0 )
( cd usr/lib64 ; ln -sf libgnuradio-blocks-3.7.8.1.so.0.0.0 libgnuradio-blocks-3.7.8.1.so.0 )
( cd usr/lib64 ; rm -rf libgnuradio-pager-3.7.8.1.so.0 )
( cd usr/lib64 ; ln -sf libgnuradio-pager-3.7.8.1.so.0.0.0 libgnuradio-pager-3.7.8.1.so.0 )
( cd usr/lib64 ; rm -rf libgnuradio-channels-3.7.8.1.so.0 )
( cd usr/lib64 ; ln -sf libgnuradio-channels-3.7.8.1.so.0.0.0 libgnuradio-channels-3.7.8.1.so.0 )
( cd usr/lib64 ; rm -rf libgnuradio-wxgui-3.7.8.1.so )
( cd usr/lib64 ; ln -sf libgnuradio-wxgui-3.7.8.1.so.0.0.0 libgnuradio-wxgui-3.7.8.1.so )
( cd usr/lib64 ; rm -rf libgnuradio-qtgui.so )
( cd usr/lib64 ; ln -sf libgnuradio-qtgui-3.7.8.1.so.0.0.0 libgnuradio-qtgui.so )
( cd usr/lib64 ; rm -rf libgnuradio-wavelet-3.7.8.1.so )
( cd usr/lib64 ; ln -sf libgnuradio-wavelet-3.7.8.1.so.0.0.0 libgnuradio-wavelet-3.7.8.1.so )
( cd usr/lib64 ; rm -rf libgnuradio-uhd.so )
( cd usr/lib64 ; ln -sf libgnuradio-uhd-3.7.8.1.so.0.0.0 libgnuradio-uhd.so )
( cd usr/lib64 ; rm -rf libgnuradio-fcd-3.7.8.1.so )
( cd usr/lib64 ; ln -sf libgnuradio-fcd-3.7.8.1.so.0.0.0 libgnuradio-fcd-3.7.8.1.so )
( cd usr/lib64 ; rm -rf libgnuradio-vocoder-3.7.8.1.so )
( cd usr/lib64 ; ln -sf libgnuradio-vocoder-3.7.8.1.so.0.0.0 libgnuradio-vocoder-3.7.8.1.so )
( cd usr/lib64 ; rm -rf libgnuradio-runtime.so )
( cd usr/lib64 ; ln -sf libgnuradio-runtime-3.7.8.1.so.0.0.0 libgnuradio-runtime.so )
( cd usr/lib64 ; rm -rf libgnuradio-digital-3.7.8.1.so.0 )
( cd usr/lib64 ; ln -sf libgnuradio-digital-3.7.8.1.so.0.0.0 libgnuradio-digital-3.7.8.1.so.0 )
( cd usr/lib64 ; rm -rf libgnuradio-trellis.so )
( cd usr/lib64 ; ln -sf libgnuradio-trellis-3.7.8.1.so.0.0.0 libgnuradio-trellis.so )
( cd usr/lib64 ; rm -rf libgnuradio-fcd.so )
( cd usr/lib64 ; ln -sf libgnuradio-fcd-3.7.8.1.so.0.0.0 libgnuradio-fcd.so )
( cd usr/lib64 ; rm -rf libgnuradio-trellis-3.7.8.1.so )
( cd usr/lib64 ; ln -sf libgnuradio-trellis-3.7.8.1.so.0.0.0 libgnuradio-trellis-3.7.8.1.so )
( cd usr/lib64 ; rm -rf libgnuradio-analog.so )
( cd usr/lib64 ; ln -sf libgnuradio-analog-3.7.8.1.so.0.0.0 libgnuradio-analog.so )
( cd usr/lib64 ; rm -rf libgnuradio-trellis-3.7.8.1.so.0 )
( cd usr/lib64 ; ln -sf libgnuradio-trellis-3.7.8.1.so.0.0.0 libgnuradio-trellis-3.7.8.1.so.0 )
( cd usr/lib64 ; rm -rf libgnuradio-wavelet-3.7.8.1.so.0 )
( cd usr/lib64 ; ln -sf libgnuradio-wavelet-3.7.8.1.so.0.0.0 libgnuradio-wavelet-3.7.8.1.so.0 )
( cd usr/lib64 ; rm -rf libgnuradio-digital.so )
( cd usr/lib64 ; ln -sf libgnuradio-digital-3.7.8.1.so.0.0.0 libgnuradio-digital.so )
( cd usr/lib64 ; rm -rf libgnuradio-video-sdl-3.7.8.1.so.0 )
( cd usr/lib64 ; ln -sf libgnuradio-video-sdl-3.7.8.1.so.0.0.0 libgnuradio-video-sdl-3.7.8.1.so.0 )
( cd usr/lib64 ; rm -rf libgnuradio-filter-3.7.8.1.so )
( cd usr/lib64 ; ln -sf libgnuradio-filter-3.7.8.1.so.0.0.0 libgnuradio-filter-3.7.8.1.so )
( cd usr/lib64 ; rm -rf libgnuradio-fft.so )
( cd usr/lib64 ; ln -sf libgnuradio-fft-3.7.8.1.so.0.0.0 libgnuradio-fft.so )
( cd usr/lib64 ; rm -rf libgnuradio-audio-3.7.8.1.so )
( cd usr/lib64 ; ln -sf libgnuradio-audio-3.7.8.1.so.0.0.0 libgnuradio-audio-3.7.8.1.so )
( cd usr/lib64 ; rm -rf libgnuradio-fcd-3.7.8.1.so.0 )
( cd usr/lib64 ; ln -sf libgnuradio-fcd-3.7.8.1.so.0.0.0 libgnuradio-fcd-3.7.8.1.so.0 )
( cd usr/lib64 ; rm -rf libgnuradio-pmt-3.7.8.1.so.0 )
( cd usr/lib64 ; ln -sf libgnuradio-pmt-3.7.8.1.so.0.0.0 libgnuradio-pmt-3.7.8.1.so.0 )
( cd usr/lib64 ; rm -rf libgnuradio-video-sdl-3.7.8.1.so )
( cd usr/lib64 ; ln -sf libgnuradio-video-sdl-3.7.8.1.so.0.0.0 libgnuradio-video-sdl-3.7.8.1.so )
( cd usr/lib64 ; rm -rf libgnuradio-dtv-3.7.8.1.so )
( cd usr/lib64 ; ln -sf libgnuradio-dtv-3.7.8.1.so.0.0.0 libgnuradio-dtv-3.7.8.1.so )
( cd usr/lib64 ; rm -rf libgnuradio-pmt.so )
( cd usr/lib64 ; ln -sf libgnuradio-pmt-3.7.8.1.so.0.0.0 libgnuradio-pmt.so )
( cd usr/lib64 ; rm -rf libgnuradio-fec-3.7.8.1.so )
( cd usr/lib64 ; ln -sf libgnuradio-fec-3.7.8.1.so.0.0.0 libgnuradio-fec-3.7.8.1.so )
( cd usr/lib64 ; rm -rf libgnuradio-audio.so )
( cd usr/lib64 ; ln -sf libgnuradio-audio-3.7.8.1.so.0.0.0 libgnuradio-audio.so )
( cd usr/lib64 ; rm -rf libgnuradio-channels-3.7.8.1.so )
( cd usr/lib64 ; ln -sf libgnuradio-channels-3.7.8.1.so.0.0.0 libgnuradio-channels-3.7.8.1.so )
( cd usr/lib64 ; rm -rf libgnuradio-atsc-3.7.8.1.so.0 )
( cd usr/lib64 ; ln -sf libgnuradio-atsc-3.7.8.1.so.0.0.0 libgnuradio-atsc-3.7.8.1.so.0 )
( cd usr/lib64 ; rm -rf libvolk.so )
( cd usr/lib64 ; ln -sf libvolk.so.1.1.1 libvolk.so )
( cd usr/lib64 ; rm -rf libgnuradio-analog-3.7.8.1.so.0 )
( cd usr/lib64 ; ln -sf libgnuradio-analog-3.7.8.1.so.0.0.0 libgnuradio-analog-3.7.8.1.so.0 )
( cd usr/lib64 ; rm -rf libgnuradio-fec-3.7.8.1.so.0 )
( cd usr/lib64 ; ln -sf libgnuradio-fec-3.7.8.1.so.0.0.0 libgnuradio-fec-3.7.8.1.so.0 )
( cd usr/lib64 ; rm -rf libgnuradio-fft-3.7.8.1.so.0 )
( cd usr/lib64 ; ln -sf libgnuradio-fft-3.7.8.1.so.0.0.0 libgnuradio-fft-3.7.8.1.so.0 )
( cd usr/lib64 ; rm -rf libgnuradio-runtime-3.7.8.1.so.0 )
( cd usr/lib64 ; ln -sf libgnuradio-runtime-3.7.8.1.so.0.0.0 libgnuradio-runtime-3.7.8.1.so.0 )
( cd usr/lib64 ; rm -rf libgnuradio-runtime-3.7.8.1.so )
( cd usr/lib64 ; ln -sf libgnuradio-runtime-3.7.8.1.so.0.0.0 libgnuradio-runtime-3.7.8.1.so )
( cd usr/lib64 ; rm -rf libgnuradio-filter.so )
( cd usr/lib64 ; ln -sf libgnuradio-filter-3.7.8.1.so.0.0.0 libgnuradio-filter.so )
( cd usr/lib64 ; rm -rf libgnuradio-analog-3.7.8.1.so )
( cd usr/lib64 ; ln -sf libgnuradio-analog-3.7.8.1.so.0.0.0 libgnuradio-analog-3.7.8.1.so )
( cd usr/lib64 ; rm -rf libgnuradio-fec.so )
( cd usr/lib64 ; ln -sf libgnuradio-fec-3.7.8.1.so.0.0.0 libgnuradio-fec.so )
( cd usr/lib64 ; rm -rf libgnuradio-filter-3.7.8.1.so.0 )
( cd usr/lib64 ; ln -sf libgnuradio-filter-3.7.8.1.so.0.0.0 libgnuradio-filter-3.7.8.1.so.0 )
